import request from './request'

// 最新舆情
export function getHotNewApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/gsdata/hotNew',
    method: 'post'
  })
}

// 数据来源分析
export function getMediaTypeApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/gsdata/mediaType',
    method: 'post'
  })
}

// 景区统计
export function getStateApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/gsdata/state',
    method: 'post'
  })
}

// 舆情统计
export function getTotalApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/gsdata/total',
    method: 'post'
  })
}

// 词频分析
export function getHotWordApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/gsdata/hotWord',
    method: 'post'
  })
}

// 舆情指数
export function getLineChartApi(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/gsdata/lineChart',
    method: 'get',
    params: data
  })
}

// 地域分析
export function getAreaApi(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/gsdata/area',
    method: 'get',
    params: data
  })
}

// 景区选择
export function getSpotApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/gsdata/spot',
    method: 'post'
  })
}

// 景区列表
export function getSpotListApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/spot/list',
    method: 'get'
  })
}
// 景区列表
export function getGsdataDetailApi(data) {
  return request({
    url: `/fjtcc-api/api/largeScreen/gsdata/detail/${data}`,
    method: 'get',
  })
}
